Subject: Re: bug#35592: Use display-buffer-in-direction for completion-like windows

From: martin rudalics <[email-masked]>
Date: Thu, 9 May 2019 10:12:12 +0200

>> But notice that these semantically clash with what you
 >> earlier wanted for 'split-window':
 >>
 >> 		    ((eq side 'above) 'top)
 >> 		    ((eq side 'below) 'bottom)
 >
 > I remember that recently you added these aliases:
 >
 >    up -> above
 >    down -> below
 >
 > that fits well into this scheme.
 >
 > But I don't know about
 >
 >    above -> top
 >    below -> bottom
 >
 > These are some earlier additions.  Is there a problem with these aliases?

I misremembered things.  They affect side windows only.  But how about
using 'topmost' and 'bottommost' instead of 'top' and 'bottom'?  These
would fit more nicely into the 'leftmost' and 'rightmost' scheme.

martin